<?php
/*******************************************************************************/
//                          InstantCMS v1.10                                    //
//                      http://www.instantcms.ru/                              //
//                      module "Friends of friends"  v 1.3.0                   //
//                        written by Marat Fatikhov                            //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

header('Content-Type: text/html; charset=utf-8');
session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');
$inCore->loadClass('page');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

$module_id = $inDB->get_field('cms_modules', " `content` = 'mod_friends_of_friends' ", 'id');

// Проверяем права доступа
$access_list = $inDB->get_field('cms_modules', "id = '{$module_id}'", 'access_list');
if(!$inCore->checkContentAccess($access_list)){ return; }

$modulefile = PATH.'/modules/mod_friends_of_friends/module.php';

if (file_exists($modulefile)){
  require_once $modulefile;
}

$is_ajax = true;

mod_friends_of_friends($module_id, array() ,$is_ajax);

return;
?>
